XMOTO(6)

NAME
X-Moto—2D motocross platform game

SYNOPSIS
xmoto [options]
xmoto [options] replay.rpl
xmoto [options] level.lvl

DESCRIPTION
X-Moto is a challenging 2D motocross platform game, where physics plays an important role in the gameplay. You need to control your bike to its limit, if you want to have a chance finishing the more difficult of the challenges.

GAMEPLAY
A number of strawberries are typically spread around each level, which generally consists of a complicated landscape seen from the side—i.e. much like islands in the sky. You need to collect all those berries to finish the level—when you've got the last one, you need find the sunflower which will complete the level when you touch it. Variations to this basic gameplay may be found around some of the levels.

Your motocross bike is likewise seen from the side, and you control its throttle, braking, and simple changes to the attitude by jerking the bike back and forth. Additionally you can change the direction of your driving, by rotating on the spot.

You control your bike using the keyboard. The following keys are the default values, but may be changed from inside the game:

Up arrow
    Accelerate.

Down arrow
    Brake.

Left arrow
    Rotate counter-clockwise.

Right arrow
    Rotate clockwise.

Space
    Turn around and drive in the other direction.

Additionally, some other keys can be pressed while playing:

Escape
    Pause the game, and open the in-game menu.

TAB Autozoom animation. Zooms out so that you can see the whole level.

F2  Switch the camera to the ghost, so you can follow it and see how the level can be mastered.

F3  Add the current level to favorites while playing. Press again to remove from favorites.

F5  Restart the level while playing. Rebuild the database if pressed while in the main menu.

F7  Show/hide frames-per-second counter.

F8  Activate/Deactivate Internet connection.

F9  Switch to the "Ugly mode". Saves a lot of CPU time and shows some secret passages.

F10 Theme Mode. It can be used to test custom graphics. Also helps to avoid wreckers.

F11 Line Mode. This mode is mostly for testing. Draws lines around blocks and shows zones.

F12 Take a Screenshot. The file is saved into the xmoto directory.

Ctrl+i
    Toggle replay interpolation. Makes replays look smoother when turned on.

Ctrl+m
    Toggle mirror mode. Wanna have twice as many levels?

Ctrl+b
    Blacklist/unblacklist a level while playing.

Ctrl+s
    enable/disable sound.

Ctrl+o
    display the option window

PgUp
    Jump to the previous level while playing.

PgDown
    Jump to the next level while playing.

Alt+Enter
    Toggle fullscreen. Aslo changes your "run windowed/fullscreen" setting.

OPTIONS
Most of these options also change your config settings, so be careful!

-h, -?, -help, --help
    Show summary of options.

-res, --resolution <widthxheight>
    Forces a specific display resolution.

-fs, --fullscreen
    Forces the game to run in fullscreen mode.

-win, --windowed
    Forces the game to run in windowed mode.

--nosound
    Turns off sound effects, even if they are enabled in the config.

-r, --replay <replay>
    Play the replay and quit afterwards.

-ri, --replayInfos <replay>
    Display information about the replay and quit.

-v, --verbose
    Be verbose and output debug messages on the standard output.

-l, --level  id
    Start playing the specified level right away. If id is a number the corresponding built-in level is selected, otherwise it should be the identifier of an external level (not the file name).

--levelFile <FILE>
    Start playing the given level right away.

-d, --debug
    Enables debug mode.

-p, --profile  name
    Use the player profile specified by name.

--children
    Force children compliant mode. It removes levels not suitable for children.

--configpath path
    Use path as the xmoto configuration path.

-ll, --listlevels
    Output the list of available levels and quit.

-lr, --listreplays
    Output the list of available replays and quit.

--fps
    Enables framerate display.

-td, --timedemo
    Tries to render the game as fast as possible. No delaying, maximum framerate.

--benchmark
    Only meaningful when combined with --replay and --timedemo. Useful to determine graphics performance.

--nowww
    Do not allow xmoto to connect to the web.

--testTheme
    Enables testThemeMode. This will display the collision forms over the sprites of the theme to check if the theme is nicely designed.

--drawlib drawlib
    Choose which rendering engine to use (default one is OPENGL if available). You do not need this unless you *really* know what you are doing.

--noexts
    Do not use any OpenGL extensions.

--novobs
    Don't use VOB OpenGL extension (GL_ARB_vertex_buffer_object).

--ugly
    Enables "the ugly" mode. This will increase the game's framerate significantly, but it will also make the graphics look very ugly—most things inside the game will be drawn with lines, the rider for instance being a simple stick figure. This option is very useful if your system doesn't have a proper OpenGL-capable video card (like for instance if you have a laptop with on-board video card). If you have the right amount of CPU power, it should even be possible to run X-Moto in OpenGL software emulation mode (MesaGL on linux, Windows' OpenGL fallback driver, etc).

--defaultTheme theme
    Set theme as default theme for new profiles created. This is mostly useful for packagers wanting to set the theme of their distribution by default.

--noDBDirsCheck
    Don't check that system and user dirs changed at startup. It is mainly useful if you use X-Moto on a USB key.

--server
    Run X-Moto as a server only (no gui).

--serverPort <port>
    Specify the server port (with --server only).

--serverAdminPassword <password>
    Specify a server admin password which is always valid (with --server only).

--connectAtStartup
    Connect the client to the server at startup.

--updateLevelsOnly
    Only update levels (no gui).

--noLog
    Disable logging into xmoto.log

--pack bin dir
    Build a bin package from the directory dir.

--unpack bin dir no_list
    Unpack the bin package into the dir dir. Add no_list if you do not need a list of all extracted files.

--cleancache
    Deletes the content of the level cache.

--cleanNoWWWLevels
    Check web levels list and remove levels which are not available on the web (removed files are put into ~/.xmoto/Trash/Levels)

--sqlTrace
    Enable sql trace mode.

--videoRecording
    Enable video recording while plaing/replaying (should be used with --replay and --benchmark).

--videoRecordingSizeDivision DIVISION
    Change video size (1=full, 2=50%, 4=25%).

--videoRecordingFramerate FRAMERATE
    Change video framerate.

--videoRecordingStartTime NBCENTSOFSECONDS
    Start recording video after NBCENTSOFSECONDS time elapsed.

--videoRecordingEndTime NBCENTSOFSECONDS
    Stop recording video after NBCENTSOFSECONDS time elapsed.

--hidePlayingInformation
    Don't show some information while playing/replaying ; useful to make nicer video.

EXAMPLES
view a replay in windowed mode:
xmoto --windowed ~/.xmoto/Replays/replay.rpl
disable sounds, Internet connection and play mylevel.lvl directly:
xmoto --nosound --nowww mylevel.lvl

AUTHORS
xmoto was written by Rasmus Neckelmann <neckelmann@gmail.com>, Nicolas Adenis-Lamarre <nadenislamarre@free.fr> and Emmanuel Gorse <e.gorse@free.fr>.

REPORTING BUGS
Please open an issue on GitHub: <https://github.com/xmoto/xmoto>, or write to support@xmoto.org.

This manual page was written by Samuel Mimram <smimram@debian.org>, for the Debian project. Updated by Amand Tihon <amand.tihon@alrj.org> and AvovA.